/*
CSS Browser Selector v0.4.0 (Nov 02, 2010)
Rafael Lima (http://rafael.adm.br)
http://rafael.adm.br/css_browser_selector
License: http://creativecommons.org/licenses/by/2.5/
Contributors: http://rafael.adm.br/css_browser_selector#contributors
*/
function css_browser_selector(u){var ua=u.toLowerCase(),is=function(t){return ua.indexOf(t)>-1},g='gecko',w='webkit',s='safari',o='opera',m='mobile',h=document.documentElement,b=[(!(/opera|webtv/i.test(ua))&&/msie\s(\d)/.test(ua))?('ie ie'+RegExp.$1):is('firefox/2')?g+' ff2':is('firefox/3.5')?g+' ff3 ff3_5':is('firefox/3.6')?g+' ff3 ff3_6':is('firefox/3')?g+' ff3':is('gecko/')?g:is('opera')?o+(/version\/(\d+)/.test(ua)?' '+o+RegExp.$1:(/opera(\s|\/)(\d+)/.test(ua)?' '+o+RegExp.$2:'')):is('konqueror')?'konqueror':is('blackberry')?m+' blackberry':is('android')?m+' android':is('chrome')?w+' chrome':is('iron')?w+' iron':is('applewebkit/')?w+' '+s+(/version\/(\d+)/.test(ua)?' '+s+RegExp.$1:''):is('mozilla/')?g:'',is('j2me')?m+' j2me':is('iphone')?m+' iphone':is('ipod')?m+' ipod':is('ipad')?m+' ipad':is('mac')?'mac':is('darwin')?'mac':is('webtv')?'webtv':is('win')?'win'+(is('windows nt 6.0')?' vista':''):is('freebsd')?'freebsd':(is('x11')||is('linux'))?'linux':'','js']; c = b.join(' '); h.className += ' '+c; return c;}; css_browser_selector(navigator.userAgent);





/*menu*/
document.addEventListener('DOMContentLoaded', function () {
  const dropdownToggles = document.querySelectorAll('.nav-item.dropdown .dropdown-toggle');
  const dropdownMenus = document.querySelectorAll('.dropdown-menu');

  dropdownToggles.forEach(function (dropdownToggle) {
    dropdownToggle.addEventListener('click', function (event) {
      event.stopPropagation(); // ドキュメント全体に伝播しない
      const dropdownMenu = this.nextElementSibling; // 対応するドロップダウンメニューを取得
      const lineLeft = this.querySelector('.line-left'); // 対応する .line-left を取得

      // 現在のメニューが開いているかどうかを確認
      const isOpen = dropdownMenu.classList.contains('show');

      // すべてのメニューを閉じ、線の高さを元に戻す
      dropdownMenus.forEach(function (menu) {
        if (menu !== dropdownMenu) {  // 現在のメニュー以外は閉じる
          const otherLineLeft = menu.previousElementSibling.querySelector('.line-left');
          menu.classList.remove('show');  // 他のメニューを閉じる
          otherLineLeft.style.height = '30px';  // 他のメニューの線も短くする
        }
      });

      // 現在のメニューの開閉を制御
      if (!isOpen) { // メニューが開いていない場合のみ開く
        dropdownMenu.classList.add('show');
        setTimeout(function() {
          const menuHeight = dropdownMenu.offsetHeight; // ドロップダウンメニューの高さを取得
          lineLeft.style.height = 30 + menuHeight + 'px'; // 線をメニューの高さに合わせて伸ばす
        }, 100); // 少し遅延させて、メニューの高さを取得
      }
    });
  });

  // ドキュメント全体にクリックイベントを設定
  document.addEventListener('click', function (event) {
    // クリックされた要素がドロップダウンメニュー外の場合
    if (!event.target.closest('.nav-item.dropdown')) {
      dropdownMenus.forEach(function (dropdownMenu) {
        const lineLeft = dropdownMenu.previousElementSibling.querySelector('.line-left'); // 対応する .line-left を取得
        if (dropdownMenu.classList.contains('show')) {
          dropdownMenu.classList.remove('show'); // メニューを閉じる
          lineLeft.style.height = '30px'; // 閉じたときに線を短くする
        }
      });
    }
  });
});


/*modal_window*/
// モーダルを開く
document.querySelectorAll('.open-modal').forEach(button => {
  button.addEventListener('click', function() {
    const cardId = this.getAttribute('data-card');
    const modal = document.getElementById(`modal-${cardId}`);
    modal.style.display = 'block';


    document.querySelectorAll('.close-modal').forEach(button => {
      button.addEventListener('click', function() {
        modal.style.display = 'none';
      });
    });
  });
});


/*IHP*/
/*modal_window2*/
// モーダルを開く
document.querySelectorAll('.open-modal2').forEach(button => {
  button.addEventListener('click', function() {
    const cardId = this.getAttribute('kokonitobu');
    const modal = document.getElementById(`modal-${cardId}`);
    modal.style.display = 'block';


    document.querySelectorAll('.close-modal').forEach(button => {
      button.addEventListener('click', function() {
        modal.style.display = 'none';
      });
    });
  });
});

// モーダルを閉じる
/*
document.querySelectorAll('.close-modal').forEach(button => {
  button.addEventListener('click', function() {
    modal.style.display = 'none';
  });
});
*/

// モーダル外をクリックして閉じる
window.addEventListener('click', function(event) {
  document.querySelectorAll('.modal').forEach(modal => {
    if (event.target == modal) {
      modal.style.display = 'none';
    }
  });
});




















/*Home*/

const eye2 = document.getElementById("eye2");
function switchDisplay() {
  eye2.classList.add("d-none");
}
setTimeout(() => {
  switchDisplay();
}, 10);

const hbutton = document.getElementById("h-button");
hbutton.addEventListener('click', function (event) {
  eye2.classList.add("d-none");
})